import java.io.* ;
import java.net.* ;
import java.rmi.* ;
import java.rmi.registry.* ;
import java.rmi.server.UnicastRemoteObject ;


class RemoteOutputImpl extends UnicastRemoteObject implements RemoteOutput {

    OutputStream outStm;

    public RemoteOutputImpl() throws RemoteException {}
    public RemoteOutputImpl(OutputStream ps) throws RemoteException {
	outStm = ps;
    }

    public void close() throws RemoteException,IOException {
	outStm.close();
    }

    public void flush() throws RemoteException,IOException {
	outStm.flush();
    }

    public void write(int b) throws RemoteException,IOException {
	outStm.write(b);
    }

    public void write(byte[] b) throws RemoteException,IOException {
	outStm.write(b);
    }

    public void write(byte[] b, int off, int len) throws 
                                       RemoteException,IOException {
	outStm.write(b,off,len);
    }
}
